<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://fuji-9.com/
 * @since             1.1
 * @package           dc_For_Woocommerce
 *
 * @wordpress-plugin
 * Plugin Name:       Dynamic Content for WooCommerce
 * Plugin URI:        https://fuji-9.com/dynamic-content-for-woocommerce
 * Description:       Dynamic Content for WooCommerce
 * Version:           1.1
 * Author:            Fuji 9
 * Author URI:        https://fuji-9.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       dc-for-woocommerce
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'CC_FOR_WOOCOMMERCE_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-cc-for-woocommerce-activator.php
 */
function activate_cc_for_woocommerce() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-cc-for-woocommerce-activator.php';
	Cc_For_Woocommerce_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-cc-for-woocommerce-deactivator.php
 */
function deactivate_cc_for_woocommerce() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-cc-for-woocommerce-deactivator.php';
	Cc_For_Woocommerce_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_cc_for_woocommerce' );
register_deactivation_hook( __FILE__, 'deactivate_cc_for_woocommerce' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-cc-for-woocommerce.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_cc_for_woocommerce() {

	$plugin = new Cc_For_Woocommerce();
	$plugin->run();

}
run_cc_for_woocommerce();
