<?php

/**
 * Shortcodes class
 *
 * @link       https://fuji-9.com/
 * @since      1.0.0
 *
 * @package    Cc_For_Woocommerce
 * @subpackage Cc_For_Woocommerce/includes
 */

/**
 * Shortcodes class
 *
 * All shortcodes should be defined here
 *
 * @package    Cc_For_Woocommerce
 * @subpackage Cc_For_Woocommerce/includes
 * @author     Fuji 9 <info@fuji-9.com>
 */

class Cc_For_Woocommerce_Shortcode {
	public static function conditional_content_shortcode( $atts, $content = '' ) {
		
		if(is_user_logged_in() && isset($atts['product_id']) && $atts['product_id']!='') {
			
			$product = wc_get_product( $atts['product_id'] );
			$current_user = wp_get_current_user();			
			
			if( class_exists( 'WC_Subscriptions_Product' ) && WC_Subscriptions_Product::is_subscription( $product ) ) {
				
				if (function_exists('wcs_user_has_subscription')) {
					$has_sub = wcs_user_has_subscription( $current_user->ID, $atts['product_id'], 'active' );
					if ($has_sub) {
						return do_shortcode($content);
					}
				}
			} else {
				
				if( $product->is_type('grouped' ) ) {
					
					$children = $product->get_children();
					
					if(!empty($children)) {
						foreach($children as $group_product) {
							if( wc_customer_bought_product( $current_user->data->user_email, $current_user->ID, $group_product ) ) {
								return do_shortcode($content);
								break;
							}
						}
					}
				} else {
					
					if( wc_customer_bought_product( $current_user->data->user_email, $current_user->ID, $atts['product_id'] ) ) {
						return do_shortcode($content);
					}
					
				}
			}
		}
		return null;
	}
}

add_shortcode( 'f9_cc_shortcode', array( 'Cc_For_Woocommerce_Shortcode', 'conditional_content_shortcode' ) );